> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationsvenuesviews

> Searches for all Venues within the Forum, regardless of the user's permissions to use
assets within the Venue.

This operation requires a Venue View Criteria value.

This operation returns a **Venue View Wrapper** with the following attributes:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/venues/views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/venues/views:
    post:
      tags:
        - LocationService
      description: >-
        Searches for all Venues within the Forum, regardless of the user's
        permissions to use

        assets within the Venue.


        This operation requires a Venue View Criteria value.


        This operation returns a **Venue View Wrapper** with the following
        attributes:
      operationId: searchVenues
      parameters: []
      requestBody:
        description: VenueViewCriteria value to use while searching for Venues
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  latitude: 12345
                  sysidVenues:
                    - 12345
                    - 12345
                  sortList:
                    - sortAscending: true
                      sortColumn: LOCATION_TYPE
                    - sortAscending: true
                      sortColumn: COUNTRY
                  active: true
                  viewport:
                    southwest:
                      lat: 12345
                      lng: 12345
                    northeast:
                      lat: 12345
                      lng: 12345
                  sysidLocatorNode: 12345
                  stateProvince: ...
                  address: ...
                  country: ...
                  longitude: 12345
                  distance: 12345
                  venueName: ...
                  sysidVenueTypes:
                    - 12345
                    - 12345
                  city: ...
                  addressSearch: ...
                  distanceUnit: kilometers
                  sysidAccount: 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/VenueViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    hasAdditional: true
                    nextStartRow: 12345
                    count: 12345
                    views:
                      - postalCode: ...
                        country: ...
                        stateProvince: ...
                        geofenceMeters: 12345
                        sysidVenueType: 12345
                        mapImages:
                          - thumbnailSource: ...
                            imageSource: ...
                            defaultImage: true
                            sysidLocatorNode: 12345
                            name: ...
                            description: ...
                            sysidLocationMapImage: 12345
                            height: 12345
                            width: 12345
                            displayOrder: 12345
                          - thumbnailSource: ...
                            imageSource: ...
                            defaultImage: true
                            sysidLocatorNode: 12345
                            name: ...
                            description: ...
                            sysidLocationMapImage: 12345
                            height: 12345
                            width: 12345
                            displayOrder: 12345
                        images:
                          - defaultImage: true
                            name: ...
                            displayOrder: 12345
                            width: 12345
                            height: 12345
                            thumbnailSource: ...
                            description: ...
                            sysidLocatorNode: 12345
                            sysidLocationImage: 12345
                            imageSource: ...
                          - defaultImage: true
                            name: ...
                            displayOrder: 12345
                            width: 12345
                            height: 12345
                            thumbnailSource: ...
                            description: ...
                            sysidLocatorNode: 12345
                            sysidLocationImage: 12345
                            imageSource: ...
                        longitude: 12345
                        city: ...
                        sysidVenue: 12345
                        address2: ...
                        name: ...
                        active: true
                        address1: ...
                        originalVenue: true
                        latitude: 12345
                      - postalCode: ...
                        country: ...
                        stateProvince: ...
                        geofenceMeters: 12345
                        sysidVenueType: 12345
                        mapImages:
                          - thumbnailSource: ...
                            imageSource: ...
                            defaultImage: true
                            sysidLocatorNode: 12345
                            name: ...
                            description: ...
                            sysidLocationMapImage: 12345
                            height: 12345
                            width: 12345
                            displayOrder: 12345
                          - thumbnailSource: ...
                            imageSource: ...
                            defaultImage: true
                            sysidLocatorNode: 12345
                            name: ...
                            description: ...
                            sysidLocationMapImage: 12345
                            height: 12345
                            width: 12345
                            displayOrder: 12345
                        images:
                          - defaultImage: true
                            name: ...
                            displayOrder: 12345
                            width: 12345
                            height: 12345
                            thumbnailSource: ...
                            description: ...
                            sysidLocatorNode: 12345
                            sysidLocationImage: 12345
                            imageSource: ...
                          - defaultImage: true
                            name: ...
                            displayOrder: 12345
                            width: 12345
                            height: 12345
                            thumbnailSource: ...
                            description: ...
                            sysidLocatorNode: 12345
                            sysidLocationImage: 12345
                            imageSource: ...
                        longitude: 12345
                        city: ...
                        sysidVenue: 12345
                        address2: ...
                        name: ...
                        active: true
                        address1: ...
                        originalVenue: true
                        latitude: 12345
              schema:
                $ref: '#/components/schemas/VenueViewWrapper'
          description: |-
            VenueViewWrapper or an Exception
            com.agilquest.phoenix.shared.data.rest.wrapper.VenueViewWrapper
components:
  schemas:
    VenueViewCriteria:
      type: object
      title: VenueViewCriteria
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            latitude:
              type: number
            sysidVenues:
              type: array
              items:
                type: integer
            sortList:
              type: array
              items:
                $ref: '#/components/schemas/VenueSort'
            active:
              type: boolean
            viewport:
              $ref: '#/components/schemas/Viewport'
            sysidLocatorNode:
              type: integer
              format: int32
            stateProvince:
              type: string
            address:
              type: string
            country:
              type: string
            longitude:
              type: number
            distance:
              type: integer
              format: int32
            venueName:
              type: string
            sysidVenueTypes:
              type: array
              items:
                type: integer
            city:
              type: string
            addressSearch:
              type: string
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidAccount:
              type: integer
              format: int32
      example:
        latitude: 12345
        sysidVenues:
          - 12345
          - 12345
        sortList:
          - sortAscending: true
            sortColumn: ADDRESS
          - sortAscending: true
            sortColumn: CITY
        active: true
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        sysidLocatorNode: 12345
        stateProvince: ...
        address: ...
        country: ...
        longitude: 12345
        distance: 12345
        venueName: ...
        sysidVenueTypes:
          - 12345
          - 12345
        city: ...
        addressSearch: ...
        distanceUnit: kilometers
        sysidAccount: 12345
        startRow: 12345
        maxRows: 12345
    VenueViewWrapper:
      type: object
      title: VenueViewWrapper
      required:
        - hasAdditional
        - nextStartRow
        - count
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            hasAdditional:
              type: boolean
            nextStartRow:
              type: integer
              format: int32
            count:
              type: integer
              format: int32
            views:
              type: array
              items:
                $ref: '#/components/schemas/VenueView'
      example:
        hasAdditional: true
        nextStartRow: 12345
        count: 12345
        views:
          - postalCode: ...
            country: ...
            stateProvince: ...
            geofenceMeters: 12345
            sysidVenueType: 12345
            mapImages:
              - thumbnailSource: ...
                imageSource: ...
                defaultImage: true
                sysidLocatorNode: 12345
                name: ...
                description: ...
                sysidLocationMapImage: 12345
                height: 12345
                width: 12345
                displayOrder: 12345
              - thumbnailSource: ...
                imageSource: ...
                defaultImage: true
                sysidLocatorNode: 12345
                name: ...
                description: ...
                sysidLocationMapImage: 12345
                height: 12345
                width: 12345
                displayOrder: 12345
            images:
              - defaultImage: true
                name: ...
                displayOrder: 12345
                width: 12345
                height: 12345
                thumbnailSource: ...
                description: ...
                sysidLocatorNode: 12345
                sysidLocationImage: 12345
                imageSource: ...
              - defaultImage: true
                name: ...
                displayOrder: 12345
                width: 12345
                height: 12345
                thumbnailSource: ...
                description: ...
                sysidLocatorNode: 12345
                sysidLocationImage: 12345
                imageSource: ...
            longitude: 12345
            city: ...
            sysidVenue: 12345
            address2: ...
            name: ...
            active: true
            address1: ...
            originalVenue: true
            latitude: 12345
          - postalCode: ...
            country: ...
            stateProvince: ...
            geofenceMeters: 12345
            sysidVenueType: 12345
            mapImages:
              - thumbnailSource: ...
                imageSource: ...
                defaultImage: true
                sysidLocatorNode: 12345
                name: ...
                description: ...
                sysidLocationMapImage: 12345
                height: 12345
                width: 12345
                displayOrder: 12345
              - thumbnailSource: ...
                imageSource: ...
                defaultImage: true
                sysidLocatorNode: 12345
                name: ...
                description: ...
                sysidLocationMapImage: 12345
                height: 12345
                width: 12345
                displayOrder: 12345
            images:
              - defaultImage: true
                name: ...
                displayOrder: 12345
                width: 12345
                height: 12345
                thumbnailSource: ...
                description: ...
                sysidLocatorNode: 12345
                sysidLocationImage: 12345
                imageSource: ...
              - defaultImage: true
                name: ...
                displayOrder: 12345
                width: 12345
                height: 12345
                thumbnailSource: ...
                description: ...
                sysidLocatorNode: 12345
                sysidLocationImage: 12345
                imageSource: ...
            longitude: 12345
            city: ...
            sysidVenue: 12345
            address2: ...
            name: ...
            active: true
            address1: ...
            originalVenue: true
            latitude: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    VenueSort:
      type: object
      title: VenueSort
      required:
        - sortAscending
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sortAscending:
              type: boolean
            sortColumn:
              $ref: '#/components/schemas/VenueViewSortColumns'
      example:
        sortAscending: true
        sortColumn: COUNTRY
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    DependentData:
      type: object
      title: DependentData
      example: {}
    VenueView:
      type: object
      title: VenueView
      required:
        - sysidVenueType
        - sysidVenue
        - active
        - originalVenue
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            postalCode:
              type: string
            country:
              type: string
            stateProvince:
              type: string
            geofenceMeters:
              type: integer
              format: int32
            sysidVenueType:
              type: integer
              format: int32
            mapImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationMapImageData'
            images:
              type: array
              items:
                $ref: '#/components/schemas/LocationImageData'
            longitude:
              type: number
            city:
              type: string
            sysidVenue:
              type: integer
              format: int32
            address2:
              type: string
            name:
              type: string
            active:
              type: boolean
            address1:
              type: string
            originalVenue:
              type: boolean
            latitude:
              type: number
      example:
        postalCode: ...
        country: ...
        stateProvince: ...
        geofenceMeters: 12345
        sysidVenueType: 12345
        mapImages:
          - thumbnailSource: ...
            imageSource: ...
            defaultImage: true
            sysidLocatorNode: 12345
            name: ...
            description: ...
            sysidLocationMapImage: 12345
            height: 12345
            width: 12345
            displayOrder: 12345
          - thumbnailSource: ...
            imageSource: ...
            defaultImage: true
            sysidLocatorNode: 12345
            name: ...
            description: ...
            sysidLocationMapImage: 12345
            height: 12345
            width: 12345
            displayOrder: 12345
        images:
          - defaultImage: true
            name: ...
            displayOrder: 12345
            width: 12345
            height: 12345
            thumbnailSource: ...
            description: ...
            sysidLocatorNode: 12345
            sysidLocationImage: 12345
            imageSource: ...
          - defaultImage: true
            name: ...
            displayOrder: 12345
            width: 12345
            height: 12345
            thumbnailSource: ...
            description: ...
            sysidLocatorNode: 12345
            sysidLocationImage: 12345
            imageSource: ...
        longitude: 12345
        city: ...
        sysidVenue: 12345
        address2: ...
        name: ...
        active: true
        address1: ...
        originalVenue: true
        latitude: 12345
    VenueViewSortColumns:
      type: string
      title: VenueViewSortColumns
      enum:
        - NAME
        - ADDRESS
        - CITY
        - STATE
        - COUNTRY
        - LOCATION_TYPE
        - STATUS
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    LocationMapImageData:
      type: object
      title: LocationMapImageData
      required:
        - defaultImage
        - height
        - width
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            thumbnailSource:
              type: string
            imageSource:
              type: string
            defaultImage:
              type: boolean
            sysidLocatorNode:
              type: integer
              format: int32
            name:
              type: string
            description:
              type: string
            sysidLocationMapImage:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
      example:
        thumbnailSource: ...
        imageSource: ...
        defaultImage: true
        sysidLocatorNode: 12345
        name: ...
        description: ...
        sysidLocationMapImage: 12345
        height: 12345
        width: 12345
        displayOrder: 12345
    LocationImageData:
      type: object
      title: LocationImageData
      required:
        - defaultImage
        - width
        - height
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            defaultImage:
              type: boolean
            name:
              type: string
            displayOrder:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            description:
              type: string
            sysidLocatorNode:
              type: integer
              format: int32
            sysidLocationImage:
              type: integer
              format: int32
            imageSource:
              type: string
      example:
        defaultImage: true
        name: ...
        displayOrder: 12345
        width: 12345
        height: 12345
        thumbnailSource: ...
        description: ...
        sysidLocatorNode: 12345
        sysidLocationImage: 12345
        imageSource: ...

````